dave_maydew Dec 21, 2013 @ 7:34am
Configuration not opening in Linux...
Hi Everyone!
I've just recently purchased ACPC for Linux, and the configuration fails to load.
My system is Ubuntu 12.04LTS 64bit, PC is i5 3330 with 8Gb RAM and a Nvidia GTX650 GPU.
My question is, does anyone know of the fix? or having this issue?

Thanks in advance...
Showing 1-15 of 21 comments
< >
[= GF =] Slnecnica  [developer] Jan 7 @ 12:42am 
I am sorry, based on that we have no idea what may be the problem. You can try to browse around - there were multple solutions on the forums for the similar problems (likely some libraries linking may be the issue?).

Alternatively, there will be a major update upcoming next week I hope. I am not sure whether it will address your problem though, but it may be worthy to give it a try.
master chang Jan 7 @ 3:55am 
Same here!
I click on the configuration option and nothing appears!
dave_maydew Jan 7 @ 4:22am 
I've found a workaround! Right Click on Air Conflicts and go to Properties, then go to Local Files, and click Browse Local Files.
In the File Manager window that pops up open ACPC and then go to bin then click on ACPC_config, and it loads straightaway!
Hope this little workaround helps others??
[= GF =] Slnecnica  [developer] Jan 8 @ 8:50am 
Thanks for sharing the workaround! Much appreciated!
dave_maydew Jan 8 @ 3:18pm 
Not a problem!! It's what we Linux Users do!! Oh becareful also, the game crashes in certain places if you have the Anti Analysing on to high. Happy Shooting!!
vadi2 Jan 13 @ 12:38pm 
I've got the same issue - configuration doesn't launch when run from Steam, but does work on its own.

I wonder if the run.sh script sets the current working directory properly as the binary expects it.
James Jan 14 @ 3:51pm 
I've got this problem as well. The workaround didn't work for me.

At first I got this error:
./ACPC/bin/ACPC_config: error while loading shared libraries: libGL.so.1: wrong ELF class: ELFCLASS64

So I changed (in run.sh):
LD_LIBRARY_PATH=./ACPC/lib32
to
LD_LIBRARY_PATH=./ACPC/lib32:/emul/ia32-linux/usr/lib
(Please note this is the path where my 32bit OpenGL libs are installed.)

Now I get this error:
Starting application... "./ACPC/bin"
("./ACPC/bin/../lib32/", "./ACPC/bin/plugins", "plugins")
This application failed to start because it could not find or load the Qt platform plugin "xcb".

Available platform plugins are: xcb.

Reinstalling the application may fix this problem.
Aborted

So I added
:./ACPC/lib32/platforms
to the LD_LIBRARY_PATH and I still get the same error. Pooh.

vadi2 Jan 17 @ 2:28pm 
You're running a 32bit machine while the configuration program is made for 64bit - you won't make it work and got the wrong one somehow (or the game devs put the wrong one in for 32bit users?).
James Jan 18 @ 4:02am 
I'm assuming you mean me vadi2? If so, my machine is 64 bit. The configuration program is asking for a 32 bit OpenGL library. I just assumed that the configuration program and game was only available in a 32 bit version. Is there a 64bit version of the game?
vadi2 Jan 18 @ 3:50pm 
If you're on 64bit and it is complaining of ELFCLASS64, then it would imply the program is trying to load a 64bit libGL while it needs to have a similar 32bit one because the program is 32bit. I believe libGL is provided by your video card drivers, so you'd need to then work out how to get a 32bit one.
James Jan 19 @ 11:54pm 
vadi2, that's why I added /emul/ia32-linux/usr/lib to my library path.

Just an update, I deleted the game and reinstalled it. Everything seems to be working now. :-)
[= GF =] Slnecnica  [developer] Jan 29 @ 9:22am 
New major update was released for Linux, I hope this will fix the issues reported here.

The large portion of the code had to be updated, so there may be some new issues raised due to the complexity of the update; please report any new issues with the new update into separate thread.

We apologize that the update took so long - it has been tremendous amount of work to rework basically the entire game; with the new issues constantly jumping out.

Once again sorry for inconveinece and we hope it will work substantially better now.
vadi2 Jan 29 @ 12:46pm 
Brilliant, thanks for taking the time to work on it.
Roni-BR**Linux** Jan 30 @ 5:45am 
Here remains not opening. Ubuntu 13.10 x64--GTX660--Nvidia Driver version:331.38
[= GF =] Slnecnica  [developer] Jan 30 @ 6:12am 
Is the configuration not starting, or game not starting? To start the configuration you need to check out Enable Steam Community In-Game in the game properties...
Showing 1-15 of 21 comments
< >
Per page: 15 30 50